/// <reference types="node" />
import EventEmitter = require('events');
import { Transform as TransformStream } from 'stream';
import { NormalizedOptions } from './utils/types';
export declare type GetMethodRedirectCodes = 300 | 301 | 302 | 303 | 304 | 305 | 307 | 308;
export declare type AllMethodRedirectCodes = 300 | 303 | 307 | 308;
export declare type WithoutBody = 'GET' | 'HEAD';
export interface RequestAsEventEmitter extends EventEmitter {
    retry: <T extends Error>(error: T) => boolean;
    abort: () => void;
}
declare const _default: (options: NormalizedOptions, input?: TransformStream) => RequestAsEventEmitter;
export default _default;
